Package com.independentsoft.office.diagrams

# Class PropertySet

java.lang.Object
com.independentsoft.office.diagrams.PropertySet

public class PropertySet extends Object
The Class PropertySet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertySet()`
  Instantiates a new property set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PropertySet`
  `clone()`
  `String`
  `getColorTransformCategory()`
  Gets the color transform category.
  `String`
  `getColorTransformType()`
  Gets the color transform type.
  `String`
  `getCurrentDiagramCategory()`
  Gets the current diagram category.
  `String`
  `getCurrentDiagramType()`
  Gets the current diagram type.
  `String`
  `getCurrentStyleCategory()`
  Gets the current style category.
  `String`
  `getCurrentStyleType()`
  Gets the current style type.
  `int`
  `getCustomFactorHeight()`
  Gets the custom factor height.
  `int`
  `getCustomFactorWidth()`
  Gets the custom factor width.
  `int`
  `getCustomRotation()`
  Gets the custom rotation.
  `int`
  `getFixedHeightOverride()`
  Gets the fixed height override.
  `int`
  `getFixedWidthOverride()`
  Gets the fixed width override.
  `int`
  `getHeightScale()`
  Gets the height scale.
  `int`
  `getIncludeAngleScale()`
  Gets the include angle scale.
  `int`
  `getNeighborOffsetHeight()`
  Gets the neighbor offset height.
  `int`
  `getNeighborOffsetWidth()`
  Gets the neighbor offset width.
  `String`
  `getPlaceholderText()`
  Gets the placeholder text.
  `String`
  `getPresentationElementID()`
  Gets the presentation element id.
  `PresentationLayoutVariables`
  `getPresentationLayoutVariables()`
  Gets the presentation layout variables.
  `String`
  `getPresentationName()`
  Gets the presentation name.
  `int`
  `getPresentationStyleCount()`
  Gets the presentation style count.
  `int`
  `getPresentationStyleIndex()`
  Gets the presentation style index.
  `String`
  `getPresentationStyleLabel()`
  Gets the presentation style label.
  `int`
  `getRadiusScale()`
  Gets the radius scale.
  `int`
  `getRadiusScaleIncrement()`
  Gets the radius scale increment.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `int`
  `getWidthScale()`
  Gets the width scale.
  `boolean`
  `isCoherent3DBehavior()`
  Checks if is coherent3 d behavior.
  `boolean`
  `isCustomHorizontalFlip()`
  Checks if is custom horizontal flip.
  `boolean`
  `isCustomVerticalFlip()`
  Checks if is custom vertical flip.
  `boolean`
  `isPlaceholder()`
  Checks if is placeholder.
  `boolean`
  `isTextChanged()`
  Checks if is text changed.
  `void`
  `setCoherent3DBehavior​(boolean coherent3DBehavior)`
  Sets the coherent3 d behavior.
  `void`
  `setColorTransformCategory​(String colorTransformCategory)`
  Sets the color transform category.
  `void`
  `setColorTransformType​(String colorTransformType)`
  Sets the color transform type.
  `void`
  `setCurrentDiagramCategory​(String currentDiagramCategory)`
  Sets the current diagram category.
  `void`
  `setCurrentDiagramType​(String currentDiagramType)`
  Sets the current diagram type.
  `void`
  `setCurrentStyleCategory​(String currentStyleCategory)`
  Sets the current style category.
  `void`
  `setCurrentStyleType​(String currentStyleType)`
  Sets the current style type.
  `void`
  `setCustomFactorHeight​(int customFactorHeight)`
  Sets the custom factor height.
  `void`
  `setCustomFactorWidth​(int customFactorWidth)`
  Sets the custom factor width.
  `void`
  `setCustomHorizontalFlip​(boolean customHorizontalFlip)`
  Sets the custom horizontal flip.
  `void`
  `setCustomRotation​(int customRotation)`
  Sets the custom rotation.
  `void`
  `setCustomVerticalFlip​(boolean customVerticalFlip)`
  Sets the custom vertical flip.
  `void`
  `setFixedHeightOverride​(int fixedHeightOverride)`
  Sets the fixed height override.
  `void`
  `setFixedWidthOverride​(int fixedWidthOverride)`
  Sets the fixed width override.
  `void`
  `setHeightScale​(int heightScale)`
  Sets the height scale.
  `void`
  `setIncludeAngleScale​(int includeAngleScale)`
  Sets the include angle scale.
  `void`
  `setNeighborOffsetHeight​(int neighborOffsetHeight)`
  Sets the neighbor offset height.
  `void`
  `setNeighborOffsetWidth​(int neighborOffsetWidth)`
  Sets the neighbor offset width.
  `void`
  `setPlaceholder​(boolean isPlaceholder)`
  Sets the placeholder.
  `void`
  `setPlaceholderText​(String placeholderText)`
  Sets the placeholder text.
  `void`
  `setPresentationElementID​(String presentationElementID)`
  Sets the presentation element id.
  `void`
  `setPresentationLayoutVariables​(PresentationLayoutVariables presentationLayoutVariables)`
  Sets the presentation layout variables.
  `void`
  `setPresentationName​(String presentationName)`
  Sets the presentation name.
  `void`
  `setPresentationStyleCount​(int presentationStyleCount)`
  Sets the presentation style count.
  `void`
  `setPresentationStyleIndex​(int presentationStyleIndex)`
  Sets the presentation style index.
  `void`
  `setPresentationStyleLabel​(String presentationStyleLabel)`
  Sets the presentation style label.
  `void`
  `setRadiusScale​(int radiusScale)`
  Sets the radius scale.
  `void`
  `setRadiusScaleIncrement​(int radiusScaleIncrement)`
  Sets the radius scale increment.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setTextChanged​(boolean textChanged)`
  Sets the text changed.
  `void`
  `setWidthScale​(int widthScale)`
  Sets the width scale.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PropertySet

    public PropertySet()
    Instantiates a new property set.

- ## Method Details

  - ### clone

    public PropertySet clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPresentationLayoutVariables

    public PresentationLayoutVariables getPresentationLayoutVariables()
    Gets the presentation layout variables.
    Returns:
      the presentation layout variables

  - ### setPresentationLayoutVariables

    public void setPresentationLayoutVariables​(PresentationLayoutVariables presentationLayoutVariables)
    Sets the presentation layout variables.
    Parameters:
      `presentationLayoutVariables` - the new presentation layout variables

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### isCoherent3DBehavior

    public boolean isCoherent3DBehavior()
    Checks if is coherent3 d behavior.
    Returns:
      true, if is coherent3 d behavior

  - ### setCoherent3DBehavior

    public void setCoherent3DBehavior​(boolean coherent3DBehavior)
    Sets the coherent3 d behavior.
    Parameters:
      `coherent3DBehavior` - the new coherent3 d behavior

  - ### getColorTransformCategory

    public String getColorTransformCategory()
    Gets the color transform category.
    Returns:
      the color transform category

  - ### setColorTransformCategory

    public void setColorTransformCategory​(String colorTransformCategory)
    Sets the color transform category.
    Parameters:
      `colorTransformCategory` - the new color transform category

  - ### getColorTransformType

    public String getColorTransformType()
    Gets the color transform type.
    Returns:
      the color transform type

  - ### setColorTransformType

    public void setColorTransformType​(String colorTransformType)
    Sets the color transform type.
    Parameters:
      `colorTransformType` - the new color transform type

  - ### getCustomRotation

    public int getCustomRotation()
    Gets the custom rotation.
    Returns:
      the custom rotation

  - ### setCustomRotation

    public void setCustomRotation​(int customRotation)
    Sets the custom rotation.
    Parameters:
      `customRotation` - the new custom rotation

  - ### isCustomHorizontalFlip

    public boolean isCustomHorizontalFlip()
    Checks if is custom horizontal flip.
    Returns:
      true, if is custom horizontal flip

  - ### setCustomHorizontalFlip

    public void setCustomHorizontalFlip​(boolean customHorizontalFlip)
    Sets the custom horizontal flip.
    Parameters:
      `customHorizontalFlip` - the new custom horizontal flip

  - ### isCustomVerticalFlip

    public boolean isCustomVerticalFlip()
    Checks if is custom vertical flip.
    Returns:
      true, if is custom vertical flip

  - ### setCustomVerticalFlip

    public void setCustomVerticalFlip​(boolean customVerticalFlip)
    Sets the custom vertical flip.
    Parameters:
      `customVerticalFlip` - the new custom vertical flip

  - ### getNeighborOffsetWidth

    public int getNeighborOffsetWidth()
    Gets the neighbor offset width.
    Returns:
      the neighbor offset width

  - ### setNeighborOffsetWidth

    public void setNeighborOffsetWidth​(int neighborOffsetWidth)
    Sets the neighbor offset width.
    Parameters:
      `neighborOffsetWidth` - the new neighbor offset width

  - ### getNeighborOffsetHeight

    public int getNeighborOffsetHeight()
    Gets the neighbor offset height.
    Returns:
      the neighbor offset height

  - ### setNeighborOffsetHeight

    public void setNeighborOffsetHeight​(int neighborOffsetHeight)
    Sets the neighbor offset height.
    Parameters:
      `neighborOffsetHeight` - the new neighbor offset height

  - ### getCustomFactorWidth

    public int getCustomFactorWidth()
    Gets the custom factor width.
    Returns:
      the custom factor width

  - ### setCustomFactorWidth

    public void setCustomFactorWidth​(int customFactorWidth)
    Sets the custom factor width.
    Parameters:
      `customFactorWidth` - the new custom factor width

  - ### getCustomFactorHeight

    public int getCustomFactorHeight()
    Gets the custom factor height.
    Returns:
      the custom factor height

  - ### setCustomFactorHeight

    public void setCustomFactorHeight​(int customFactorHeight)
    Sets the custom factor height.
    Parameters:
      `customFactorHeight` - the new custom factor height

  - ### getIncludeAngleScale

    public int getIncludeAngleScale()
    Gets the include angle scale.
    Returns:
      the include angle scale

  - ### setIncludeAngleScale

    public void setIncludeAngleScale​(int includeAngleScale)
    Sets the include angle scale.
    Parameters:
      `includeAngleScale` - the new include angle scale

  - ### getRadiusScale

    public int getRadiusScale()
    Gets the radius scale.
    Returns:
      the radius scale

  - ### setRadiusScale

    public void setRadiusScale​(int radiusScale)
    Sets the radius scale.
    Parameters:
      `radiusScale` - the new radius scale

  - ### getRadiusScaleIncrement

    public int getRadiusScaleIncrement()
    Gets the radius scale increment.
    Returns:
      the radius scale increment

  - ### setRadiusScaleIncrement

    public void setRadiusScaleIncrement​(int radiusScaleIncrement)
    Sets the radius scale increment.
    Parameters:
      `radiusScaleIncrement` - the new radius scale increment

  - ### getWidthScale

    public int getWidthScale()
    Gets the width scale.
    Returns:
      the width scale

  - ### setWidthScale

    public void setWidthScale​(int widthScale)
    Sets the width scale.
    Parameters:
      `widthScale` - the new width scale

  - ### getHeightScale

    public int getHeightScale()
    Gets the height scale.
    Returns:
      the height scale

  - ### setHeightScale

    public void setHeightScale​(int heightScale)
    Sets the height scale.
    Parameters:
      `heightScale` - the new height scale

  - ### getFixedWidthOverride

    public int getFixedWidthOverride()
    Gets the fixed width override.
    Returns:
      the fixed width override

  - ### setFixedWidthOverride

    public void setFixedWidthOverride​(int fixedWidthOverride)
    Sets the fixed width override.
    Parameters:
      `fixedWidthOverride` - the new fixed width override

  - ### getFixedHeightOverride

    public int getFixedHeightOverride()
    Gets the fixed height override.
    Returns:
      the fixed height override

  - ### setFixedHeightOverride

    public void setFixedHeightOverride​(int fixedHeightOverride)
    Sets the fixed height override.
    Parameters:
      `fixedHeightOverride` - the new fixed height override

  - ### isTextChanged

    public boolean isTextChanged()
    Checks if is text changed.
    Returns:
      true, if is text changed

  - ### setTextChanged

    public void setTextChanged​(boolean textChanged)
    Sets the text changed.
    Parameters:
      `textChanged` - the new text changed

  - ### getCurrentDiagramCategory

    public String getCurrentDiagramCategory()
    Gets the current diagram category.
    Returns:
      the current diagram category

  - ### setCurrentDiagramCategory

    public void setCurrentDiagramCategory​(String currentDiagramCategory)
    Sets the current diagram category.
    Parameters:
      `currentDiagramCategory` - the new current diagram category

  - ### getCurrentDiagramType

    public String getCurrentDiagramType()
    Gets the current diagram type.
    Returns:
      the current diagram type

  - ### setCurrentDiagramType

    public void setCurrentDiagramType​(String currentDiagramType)
    Sets the current diagram type.
    Parameters:
      `currentDiagramType` - the new current diagram type

  - ### isPlaceholder

    public boolean isPlaceholder()
    Checks if is placeholder.
    Returns:
      true, if is placeholder

  - ### setPlaceholder

    public void setPlaceholder​(boolean isPlaceholder)
    Sets the placeholder.
    Parameters:
      `isPlaceholder` - the new placeholder

  - ### getPlaceholderText

    public String getPlaceholderText()
    Gets the placeholder text.
    Returns:
      the placeholder text

  - ### setPlaceholderText

    public void setPlaceholderText​(String placeholderText)
    Sets the placeholder text.
    Parameters:
      `placeholderText` - the new placeholder text

  - ### getPresentationElementID

    public String getPresentationElementID()
    Gets the presentation element id.
    Returns:
      the presentation element id

  - ### setPresentationElementID

    public void setPresentationElementID​(String presentationElementID)
    Sets the presentation element id.
    Parameters:
      `presentationElementID` - the new presentation element id

  - ### getPresentationName

    public String getPresentationName()
    Gets the presentation name.
    Returns:
      the presentation name

  - ### setPresentationName

    public void setPresentationName​(String presentationName)
    Sets the presentation name.
    Parameters:
      `presentationName` - the new presentation name

  - ### getPresentationStyleCount

    public int getPresentationStyleCount()
    Gets the presentation style count.
    Returns:
      the presentation style count

  - ### setPresentationStyleCount

    public void setPresentationStyleCount​(int presentationStyleCount)
    Sets the presentation style count.
    Parameters:
      `presentationStyleCount` - the new presentation style count

  - ### getPresentationStyleIndex

    public int getPresentationStyleIndex()
    Gets the presentation style index.
    Returns:
      the presentation style index

  - ### setPresentationStyleIndex

    public void setPresentationStyleIndex​(int presentationStyleIndex)
    Sets the presentation style index.
    Parameters:
      `presentationStyleIndex` - the new presentation style index

  - ### getPresentationStyleLabel

    public String getPresentationStyleLabel()
    Gets the presentation style label.
    Returns:
      the presentation style label

  - ### setPresentationStyleLabel

    public void setPresentationStyleLabel​(String presentationStyleLabel)
    Sets the presentation style label.
    Parameters:
      `presentationStyleLabel` - the new presentation style label

  - ### getCurrentStyleCategory

    public String getCurrentStyleCategory()
    Gets the current style category.
    Returns:
      the current style category

  - ### setCurrentStyleCategory

    public void setCurrentStyleCategory​(String currentStyleCategory)
    Sets the current style category.
    Parameters:
      `currentStyleCategory` - the new current style category

  - ### getCurrentStyleType

    public String getCurrentStyleType()
    Gets the current style type.
    Returns:
      the current style type

  - ### setCurrentStyleType

    public void setCurrentStyleType​(String currentStyleType)
    Sets the current style type.
    Parameters:
      `currentStyleType` - the new current style type